API

List work hours

Lists work hours for a company, filtered by entity type and entity ID. Work hours are stored as rule sets with explicit entity ownership fields.

GET/v1/hq/companies/{company_id}/work_hours
AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

company_id*string

Query Parameters

filter?
select?array<string>
expand?array<string>

Response Body

application/json

curl -X GET "https://api.noona.is/v1/hq/companies/string/work_hours"
[
  {
    "id": "string",
    "company": "string",
    "entity_type": "employee",
    "entity_id": "string",
    "day": "monday",
    "periods": [
      {
        "starts_at": "09:00",
        "ends_at": "17:00",
        "is_closed": false
      }
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
]
Empty
Empty
Empty
Empty
Empty